Table of Contents

Class: Observable | Twisted-0.19.0/twisted/python/observable.py
--- | ---
Methods |
--- | ---
__init__ addObserver notify removeObserver tell
| __init__
    __init__ ( self )
| addObserver
    addObserver ( self,  observer )
Observable.addObserver(observer) Add a method which will be called when this observer's notify() is executed.
| notify
    notify ( self,  *rgs )
Observable.notify(*rgs) call all observers of this observable with (self,)+rgs
| removeObserver
    removeObserver ( self,  observer )
Observable.removeObserver(observer) Remove a previously-added method would have been called when this observer's notify() was executed
| tell
    tell (
            self,
            observer,
            args,
            )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0